import dynamix_sdk.base as _base


class CloudapiBserviceGroupUpdateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceGroupUpdateProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def group_update(
        self,
        *,
        bservice_id: int,
        bsgroup_id: int,
        force: bool = False,
        cpu_count: int | None = None,
        boot_disk_size_gb: int | None = None,
        name: str | None = None,
        ram_size_mb: int | None = None,
        role: str | None = None,
    ) -> CloudapiBserviceGroupUpdateResultBool:
        ...
